---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libownmoninf001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x509E0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52920, symBinAddr: 0x8100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52D10, symBinAddr: 0x84F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53CB0, symBinAddr: 0x9490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53CC0, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50650, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50654, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50658, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x507B0, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50868, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5086C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50870, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50874, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50878, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50880, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50898, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x508A0, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x508A8, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x508B0, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x508B8, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50900, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50908, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50918, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1810, symSize: 0x80 }
  - { offsetInCU: 0x91DE, offset: 0x91DE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1760, symSize: 0xB0 }
  - { offsetInCU: 0x9239, offset: 0x9239, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1660, symSize: 0x100 }
  - { offsetInCU: 0x94CC, offset: 0x94CC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1890, symSize: 0x220 }
  - { offsetInCU: 0x96B1, offset: 0x96B1, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1AB0, symSize: 0xA0 }
  - { offsetInCU: 0x9764, offset: 0x9764, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1B50, symSize: 0x110 }
  - { offsetInCU: 0x985A, offset: 0x985A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1C60, symSize: 0x150 }
  - { offsetInCU: 0x998B, offset: 0x998B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1DB0, symSize: 0x30 }
  - { offsetInCU: 0x9A14, offset: 0x9A14, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1DE0, symSize: 0x150 }
  - { offsetInCU: 0x9C0C, offset: 0x9C0C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1F30, symSize: 0x160 }
  - { offsetInCU: 0x9D98, offset: 0x9D98, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2090, symSize: 0x1B0 }
  - { offsetInCU: 0x9FB3, offset: 0x9FB3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2240, symSize: 0xA0 }
  - { offsetInCU: 0xA082, offset: 0xA082, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x22E0, symSize: 0x20 }
  - { offsetInCU: 0xA0B9, offset: 0xA0B9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2300, symSize: 0x20 }
  - { offsetInCU: 0xA0F0, offset: 0xA0F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2320, symSize: 0x20 }
  - { offsetInCU: 0xA25F, offset: 0xA25F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2340, symSize: 0x1A0 }
  - { offsetInCU: 0xA585, offset: 0xA585, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x24E0, symSize: 0x80 }
  - { offsetInCU: 0xA64E, offset: 0xA64E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2560, symSize: 0x6A0 }
  - { offsetInCU: 0xB1E3, offset: 0xB1E3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0E0, symBinAddr: 0x3710, symSize: 0xB0 }
  - { offsetInCU: 0xB25A, offset: 0xB25A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2C00, symSize: 0x70 }
  - { offsetInCU: 0xB316, offset: 0xB316, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2C70, symSize: 0xA0 }
  - { offsetInCU: 0xB415, offset: 0xB415, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2D10, symSize: 0x40 }
  - { offsetInCU: 0xB50B, offset: 0xB50B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2D50, symSize: 0x2B0 }
  - { offsetInCU: 0xB8B1, offset: 0xB8B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3000, symSize: 0xC0 }
  - { offsetInCU: 0xB9F7, offset: 0xB9F7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x30C0, symSize: 0x10 }
  - { offsetInCU: 0xBAB9, offset: 0xBAB9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x30D0, symSize: 0x220 }
  - { offsetInCU: 0xBDB6, offset: 0xBDB6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x32F0, symSize: 0x10 }
  - { offsetInCU: 0xBE0C, offset: 0xBE0C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3300, symSize: 0xF0 }
  - { offsetInCU: 0xBF8C, offset: 0xBF8C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x33F0, symSize: 0x10 }
  - { offsetInCU: 0xC074, offset: 0xC074, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetOwnedMonitorInfo_ownmoninf001_checkMon0, symObjAddr: 0x9DD0, symBinAddr: 0x3400, symSize: 0xA0 }
  - { offsetInCU: 0xC19B, offset: 0xC19B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetOwnedMonitorInfo_ownmoninf001_checkMon1, symObjAddr: 0x9E70, symBinAddr: 0x34A0, symSize: 0xF0 }
  - { offsetInCU: 0xC2F1, offset: 0xC2F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetOwnedMonitorInfo_ownmoninf001_checkMon2, symObjAddr: 0x9F60, symBinAddr: 0x3590, symSize: 0x170 }
  - { offsetInCU: 0xC558, offset: 0xC558, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetOwnedMonitorInfo_ownmoninf001_getRes, symObjAddr: 0xA0D0, symBinAddr: 0x3700, symSize: 0x10 }
  - { offsetInCU: 0xC58D, offset: 0xC58D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA190, symBinAddr: 0x37C0, symSize: 0x36A }
...
